: Class ResultsMenuBar

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui
Class ResultsMenuBar

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.ResultsMenuBar

public class ResultsMenuBar
extends java.lang.Object

Sets up a results menu bar with save and close

Field Summary
`(package private) java.awt.Cursor` | `cbusy`
`(package private) java.awt.Cursor` | `cdone`

Constructor Summary
`ResultsMenuBar(javax.swing.JFrame frame)` Sets up a results menu bar with save and close
`ResultsMenuBar(javax.swing.JFrame frame, FileEditorDisplay fed)` Adds action listener to save contents of a JTextPane.
`ResultsMenuBar(javax.swing.JFrame frame, javax.swing.JTabbedPane rtb, java.util.Hashtable hash)` Adds action listener to save contents of contents of a tabbed pane.

Method Summary
`javax.swing.JMenuBar` | `getJMenuBar()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cbusy

    final java.awt.Cursor cbusy

### cdone

    final java.awt.Cursor cdone

Constructor Detail

### ResultsMenuBar

    public ResultsMenuBar(javax.swing.JFrame frame)

  Sets up a results menu bar with save and close
  Parameters:
    `JFrame` - frame containing the results

### ResultsMenuBar

    public ResultsMenuBar(javax.swing.JFrame frame,
                          FileEditorDisplay fed)

  Adds action listener to save contents of a JTextPane. This allows editing of the area to be saved.
  Parameters:
    `JFrame` - frame containing the results
    `JTextPane` - text area to add listener to

### ResultsMenuBar

    public ResultsMenuBar(javax.swing.JFrame frame,
                          javax.swing.JTabbedPane rtb,
                          java.util.Hashtable hash)

  Adds action listener to save contents of contents of a tabbed pane. Allows saving to files of text and png files.
  Parameters:
    `JFrame` - frame containing the results
    `JTabbedPane` - tab pane containing results
    `Hashtable` - containing results

Method Detail

### getJMenuBar

    public javax.swing.JMenuBar getJMenuBar()

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD